
Core - Bug # 20415

Status: Resolved Priority: Should have
Author: Ron Category: Workspaces
Created: 2009-05-12 Assigned To: Christian Kuhn
Updated: 2013-12-10 Due date:
TYPO3 Version: 4.2
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Error Message that keeps comming up
Description

2: SQL error: 'Out of range value adjusted for column 'storage_pid' at row 1' (pages:NEW4a097adfa9e1d)

Will not allow me to create pages. Obvious DB error.

(issue imported from #M11073)

Related issues:
duplicates Core - Bug # 20052: SQL error: 'Incorrect integer value: '' for co... Rejected 2009-02-19

History
#1 - 2009-05-13 00:42 - Christian Kuhn

Please provide more information on how to reproduce this issue. Where exactly does this happen, which steps and which environment is needed to
get this error?

Are you running mysql in strict_mode?

#2 - 2009-06-04 16:47 - Ron 

We are  are running mysql is in strict_mode.

#3 - 2009-06-04 19:10 - Ron 

what mode shuld it be in?

#4 - 2009-06-04 20:48 - Christian Kuhn

Resolved, duplicate of #10487

Thanks for the answer, Ron.

There are bugs with mysql strict_mode, and this storage_pid issue has been reported with #10487 feel free to add patches, they are very welcome.

#5 - 2013-12-10 01:12 - Michael Stucki
- Category set to Workspaces

#6 - 2013-12-10 01:14 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
- Target version deleted (0)
